Welcome to the New BigPanda API Documentation
Bearer.Authorization: Bearer [YOUR_USER_API_KEY]🚧 override_existing If ​​ override_existing​​ is set to false, mapping values will not be added to any alert where the field is already populated, even if the field is populated with anull.
curl --location 'https://api.bigpanda.io/resources/v2.1/mapping-enrichment' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"type": "mapping",
"active": true,
"config": {
"name": "mapping_rule",
"fields": [
{
"title": "application",
"type": "query_tag",
"tag_name": "very_cool",
"override_existing": false,
"optional": true,
"original_name": null
}
],
"case_insensitive": true,
"id_generation_function": "string"
},
"when": {
"property1": "string",
"property2": "string"
},
"note": "string"
}'{
"name": "mapping_rule",
"fields": [
{
"title": "application",
"type": "query_tag",
"tag_name": "very_cool",
"override_existing": false,
"optional": true,
"original_name": null
}
],
"id_generation_function": "uuid",
"case_insensitive": false,
"note": "Marking for regional similarity"
}